function B=cholesky_Vec(A)
% A : N-by-d-by-d, symmetric definite positve
  N=size(A,1);n=size(A,2);
  assert(size(A,3)==n);
  B=zeros(N,n,n);
  
  for j=1:n
    S=0;
    for k=1:j-1
      S=S+abs(B(:,j,k)).^2;
    end
    B(:,j,j)=sqrt(A(:,j,j)-S);
    for i=j+1:n
      S=0;
      for k=1:j-1
        S=S+B(:,i,k).*conj(B(:,j,k));
      end
      B(:,i,j)=(A(:,i,j)-S)./B(:,j,j);
    end
  end
end
