function [p,L,U]=pLU_Mat(A)
% permuted LU factorization for 3D-array
%   P*A=L*U
% p is the index of permutations for each matrices.
% One can use P=fc_linalg3D.fact.PermMatFromArray(p) to build the
% N-by-d-by-d 3D-array permutation matrices.
  assert( fc_linalg3D.is3Darray(A) )
  [N,m,n]=size(A);
  assert( m==n )
  L=zeros(N,m,m);
  U=zeros(N,m,m);
  p=zeros(N,m);
  for k=1:N
    [p(k,:),L(k,:,:),U(k,:,:)]=fc_linalg3D.fact.pLU(squeeze(A(k,:,:)));
  end  
  if nargout==1, p={p,L,U};end
end
